Since this tutorial uses VIM and BibTeX, you should have some knowledge of the VIM editor and the BibTeX file format. You don’t have to have BibTeX or LaTeX actually installed. Some plugins may require a version of VIM with ruby support compiled in.

For VIM, you also need the following plugins installed:

Optional plugins (search remote for alternatives if you don’t like them):

Since most wikis support “interwikis”, it should be quite easy to adapt this approach for other wikis.